moovexDocs

Get rate

Retrieve a single rate by id.

GET/rates/single/{id}

Path Parameters

ParameterTypeDescription
idstringRate numeric id

Example Response

{
  "isActive": true,
  "name": "Standard Rate",
  "code": "STD",
  "supplierId": 5,
  "servicesIds": [
    1
  ],
  "profilesIds": [
    2
  ],
  "types": [
    {
      "basePrice": 10,
      "biDirectional": true,
      "distanceFactors": {
        "baseDistance": 5,
        "pricePerAdditional": {
          "type": "fixed",
          "value": 2
        }
      }
    }
  ],
  "availabilities": [
    {
      "period": {
        "from": 1700000000,
        "to": 1700600000
      },
      "weekDays": [
        1,
        2,
        3
      ],
      "times": {
        "from": {
          "hour": 8,
          "minute": 0
        },
        "to": {
          "hour": 18,
          "minute": 0
        }
      }
    }
  ],
  "additions": {
    "stops": {
      "included": 1,
      "pricePerAdditional": {
        "type": "fixed",
        "value": 5
      }
    }
  },
  "surchages": [
    {
      "name": "Night",
      "weekDays": [
        5,
        6
      ],
      "priceAddition": {
        "type": "percentage",
        "value": 10
      }
    }
  ],
  "attributeAdditions": [
    {
      "attributeIds": [
        7
      ],
      "included": 1,
      "perAdditional": {
        "type": "fixed",
        "value": 3
      }
    }
  ],
  "geoAdditions": {
    "generalAreaEntrance": {
      "pricePerArea": 2,
      "chargingMethod": "stops",
      "pricingType": "fixed"
    }
  }
}

On this page